#include "head.h"

void disp_cls();
void disp_stage();
void disp_index(int);
void disp_block(int, int, int);

extern int stage[STAGE_HEIGHT][STAGE_WIDTH];
extern int block[BLOCK_KAZU][BLOCK_SIZE][BLOCK_SIZE];
extern int index[BLOCK_SIZE][BLOCK_SIZE];
extern int index_x, index_y;

/* -------------------------------------------------------- */
void disp_cls(){
	CLEAR();
}
/* -------------------------------------------------------- */
void disp_stage(){
	int x,y;
	int px, py;

	px = STAGE_DISP_X;
	py = STAGE_DISP_Y;

	for(y=0; y<STAGE_HEIGHT; y++)
		for(x=0; x<STAGE_WIDTH; x++)
			disp_block(x+px, y+py, stage[y][x]);
}
/* -------------------------------------------------------- */
void disp_index(int mode){    /* int mode  0:BLANK   1:WALL */
	int x,y;
	int px, py;

	px = STAGE_DISP_X + index_x;
	py = STAGE_DISP_Y + index_y;

	for(y=0; y<BLOCK_SIZE; y++)
		for(x=0; x<BLOCK_SIZE; x++)
			if(index[y][x])
				disp_block(x+px, y+py, mode);
}
/* -------------------------------------------------------- */
void disp_block(int x, int y, int type){

	LOCATE(x*2, y);

	switch(type){

		case 0:     printf("");   /* BLANK */
					break;

		case 1:     printf("");   /* WALL */
					break;

		default:    DISP_ERR("ubNz񂪈ُł");
					break;
	}
}
