#include "head.h"

void vsync_set();
void vsync_restore();
void interrupt far vsync();
void (interrupt far *oldvsync)();

extern long count;

/* -------------------------------------------------------- */
void interrupt far vsync()
{
	count++;                        /* JE^l𑝂₷ */
	oldvsync();                     /* VSYNC荞݂Ăяo */
	outp(0x64, 0);                  /* VSYNC荞݂Zbg */
}
/* -------------------------------------------------------- */
void vsync_restore()
{
	outp(2, inp(2) | 4);            /* VSYNC荞݂}XN */
	_dos_setvect(0x0a, oldvsync);   /* 荞݃xN^ɖ߂ */
}
/* -------------------------------------------------------- */
void vsync_set()
{
	outp(2, inp(2) | 4);            /* VSYNC荞݂}XN */
	oldvsync = _dos_getvect(0x0a);  /* ̊荞݃xN^ۑ */
	_dos_setvect(0x0a, vsync);      /* vsync() xN^ɐݒ */
	outp(2, inp(2) & ~4);           /* }XÑNA */
	outp(0x64, 0);                  /* VSYNC荞݂̃Zbg */
	_enable();                      /* 荞݋tOZbg */
}
