#include "head.h"

void set_block();
void set_rand();
void set_stage();
void set_index();

extern int stage[STAGE_HEIGHT][STAGE_WIDTH];
extern int block[BLOCK_KAZU][BLOCK_SIZE][BLOCK_SIZE];
extern int index[BLOCK_SIZE][BLOCK_SIZE];
extern int index_x, index_y;
extern int end_flag;
/* -------------------------------------------------------- */
void set_stage(){
	int x,y;

	for(y=0; y<STAGE_HEIGHT; y++)
		for(x=0; x<STAGE_WIDTH; x++)
			if(x==0 || x==11 || y==20)
				stage[y][x] = 1;
			else
				stage[y][x] = 0;
}
/* -------------------------------------------------------- */
void set_rand()
{
	time_t seedtime;

	time(&seedtime);
	srand((unsigned int)seedtime);
}
/* -------------------------------------------------------- */
void set_block()
{
	FILE *fp;
	int num,x,y,z;

	if((fp = fopen("BLOCK.DAT", "r")) == NULL)
		DISP_ERR("File open error\n");


	for(num=0; num<BLOCK_KAZU; num++){

		while(fgetc(fp) != '#')         /* o */
			;
		fgetc(fp);

		for(y=0; y<BLOCK_SIZE; y++){    /* ubNzɊi[ */
			for(x=0; x<BLOCK_SIZE; x++){
				block[num][y][x] = fgetc(fp) - '0';
			}
			fgetc(fp);
		}
	}
	fclose(fp);
}
/* -------------------------------------------------------- */
void set_index()
{
	int x, y, r;

	r = rand() % BLOCK_KAZU;

	for(y=0; y<BLOCK_SIZE; y++){
		for(x=0; x<BLOCK_SIZE; x++){
			 index[y][x] = block[r][y][x];
		}
	}

	index_x = 3;
	index_y = 0;

	if( !crush(index_x, index_y) )
    	end_flag = 1;

}
